<?php

namespace pareviewsh;

/**
 * Git repository class with information about the repository investigated.
 */
class GitRepository implements \JsonSerializable {

  protected $isInitialized;

  protected $repositoryUrl;

  protected $branch;

  protected $commitHash;

  public function __construct() {
    $this->isInitialized = FALSE;
    $this->repositoryUrl = NULL;
    $this->branch = NULL;
    $this->commitHash = NULL;
  }

  public function initialize() {
    $config = Pareview::getInstance()->getConfig();
    // @todo: Git checkout.
  }

  /**
   * {@inheritdoc}
   */
  public function jsonSerialize() {
    return $this->isInitialized ? [
      'url' => $this->repositoryUrl,
      'branch' => $this->branch,
      'commit' => $this->commitHash,
    ] : null;
  }

}
