<?php

namespace pareviewsh\Utils;

/**
 * Utilities for handling directories.
 */
class Directory {

  /**
   * Whether the given directory is empty or not.
   *
   * @param string $path
   *   Path to the directory.
   * @param bool $ignore_hidden
   *   [Optional] Whether to ignore hidden files. If switched on (TRUE),
   *   the check will also return that the directory is empty, when it
   *   contains hidden files only.
   *   Defaults to TRUE.
   * @return boolean
   *   TRUE, if the directory is empty, FALSE otherwise.
   */
  public static function isEmpty($path, $ignore_hidden = TRUE) {
    return FALSE;
  }

}
